Bug 18877 - Add documentation on dbhost for koha-create help
Summary: Add documentation on dbhost for koha-create help
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 9409 14533
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 23:27 UTC by M. Tompsett
Modified: 2017-11-28 00:09 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18877: Outdated explanation of use when tow patches applied (1.11 KB, patch)
2017-06-28 23:33 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18877: Add documentation on dbhost for koha-create help (1.15 KB, patch)
2017-08-11 18:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-06-28 23:27:59 UTC
When both bug 14533 and bug 9409 are applied, the comment added in 14533 becomes incorrect.
Comment 1 M. Tompsett 2017-06-28 23:33:52 UTC
Created attachment 64715 [details] [review]
Bug 18877: Outdated explanation of use when tow patches applied

TEST PLAN
---------
apply bugs 9409 and 14533 (order is irrelevant)
trigger message about missing database name
-- notice it fails to mention dbhost
apply this patch
trigger message again
-- notice it mentions dbhost
Comment 2 Lee Jamison 2017-07-17 12:47:33 UTC
testing 2 commit(s) (applied to 3d24c19 'Bug 14533: remove CREATE USER when ko')

Processing files before patches

Processing files after patches


kohadev-koha@kohadevbox:/home/vagrant/kohaclone$


It appears that applying this patch breaks QA Tools for some reason.

Failing QA
Comment 3 M. Tompsett 2017-07-22 14:25:35 UTC
Bash files are not part of the QA Test tools suite.
Comment 4 Jonathan Druart 2017-08-08 16:18:53 UTC
(In reply to Lee Jamison from comment #2)
> testing 2 commit(s) (applied to 3d24c19 'Bug 14533: remove CREATE USER when
> ko')
> 
> Processing files before patches
> 
> Processing files after patches
> 
> 
> kohadev-koha@kohadevbox:/home/vagrant/kohaclone$
> 
> 
> It appears that applying this patch breaks QA Tools for some reason.
> 
> Failing QA

This is not relevant, nothing is displayed because no file are processed.
You can consider that as a bug in the QA script.
Comment 5 Tomás Cohen Arazi 2017-08-11 18:14:21 UTC
Created attachment 65923 [details] [review]
Bug 18877: Add documentation on dbhost for koha-create help

TEST PLAN
---------
apply bugs 9409 and 14533 (order is irrelevant)
trigger message about missing database name
-- notice it fails to mention dbhost
apply this patch
trigger message again
-- notice it mentions dbhost

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 Tomás Cohen Arazi 2017-08-11 18:14:40 UTC
Trivial string change, passing QA.
Comment 7 Jonathan Druart 2017-08-15 15:27:32 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-09-29 10:27:58 UTC
Enhancement not pushed to 17.05.x